%define name tuxsaver
%define version 1.0
%define release 3mdk


Summary:   TuxSaver
Name:      %name
Version:   %version
Release:   %release
License: GPL
Url:       http://www.esat.kuleuven.ac.be/~kmuylken/tuxsaver/
Group:     Graphical desktop/KDE
Source0:    %name-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot 
BuildRequires: kdelibs-devel

%description
TuxSaver is a 3D screensaver for KDE 3.x
It show the life of tux living on an iceberg on the southpole.
It is possible to develop your own stories and objects. Please read 
the howto in the setupdialogbox for instructions.

%prep

%setup -q

%define __libtoolize true
%configure	--disable-debug --disable-rpath

%build

%make

%install

%makeinstall

install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl %name .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/tuxsaver.desktop %buildroot/%_menudir/%name kde

%find_lang %name

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%_bindir/*
%_datadir/apps/%name
%_docdir/HTML/en/%name
%_datadir/applnk/System/ScreenSavers/* 
%_menudir/*

%changelog
* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0-3mdk
- rebuild

* Thu Feb 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-2mdk
- Fix menu entry

* Fri Dec 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- 1.0
- add icons from previous tarball

* Thu Oct 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9-3mdk
- use the configure macro, but without libtoolize

* Thu Sep 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9-2mdk
- fix buildrequires

* Wed Sep 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9-1mdk
- new
